Bug 226954 - devel/libgit2: Fix build with LibreSSL 2.7
Summary: devel/libgit2: Fix build with LibreSSL 2.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL: https://github.com/libgit2/libgit2/pu...
Keywords: needs-qa, patch
Depends on:
Blocks: 226843
  Show dependency treegraph
 
Reported: 2018-03-26 17:37 UTC by Bernard Spil
Modified: 2018-04-03 19:02 UTC (History)
1 user (show)

See Also:
wg: maintainer-feedback+


Attachments
svn diff for devel/libgit2 (2.12 KB, patch)
2018-03-26 17:37 UTC, Bernard Spil
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-03-26 17:37:01 UTC
Created attachment 191845 [details]
svn diff for devel/libgit2

```
devel/libgit2: Fix build with LibreSSL 2.7

 - LibreSSL 2.7 adds OpenSSL 1.1 API

PR:
Approved by: (maintainer)
```
Comment 1 William Grzybowski freebsd_committer 2018-03-27 11:50:50 UTC
Approved, thanks
Comment 2 commit-hook freebsd_committer 2018-03-27 12:18:08 UTC
A commit references this bug:

Author: brnrd
Date: Tue Mar 27 12:17:07 UTC 2018
New revision: 465696
URL: https://svnweb.freebsd.org/changeset/ports/465696

Log:
  devel/libgit2: Fix build with LibreSSL 2.7

   - LibreSSL 2.7 adds OpenSSL 1.1 API

  PR:		226954
  Approved by:	wg (maintainer)

Changes:
  head/devel/libgit2/files/
  head/devel/libgit2/files/patch-src_openssl__stream.c
  head/devel/libgit2/files/patch-src_openssl__stream.h
Comment 3 Bernard Spil freebsd_committer 2018-03-27 12:19:33 UTC
Thank you for the quick response! Closing.
Comment 4 Bernard Spil freebsd_committer 2018-04-02 18:01:58 UTC
For reference, upstream pull-request
https://github.com/libgit2/libgit2/pull/4607
Comment 5 Bernard Spil freebsd_committer 2018-04-03 19:02:35 UTC
Upstream merged the pull-request. The patches will have to be removed upon the next release of libgit2